org.apache.hadoop.hdfs.client

## Class BlockReportOptions

- java.lang.Object
- - org.apache.hadoop.hdfs.client.BlockReportOptions

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public final class BlockReportOptions
      extends Object

  Options that can be specified when manually triggering a block report.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BlockReportOptions.Factory`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetSocketAddress` | `getNamenodeAddr()`
    `boolean` | `isIncremental()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### isIncremental

          public boolean isIncremental()

    - #### getNamenodeAddr

          public InetSocketAddress getNamenodeAddr()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.